=== debian/changelog ===
dos2unix (6.0.4-1) unstable; urgency=low

  * New upstream release.
    - GPG signed source package
  * debian/control
    - (Standards-Version): Update to 3.9.5.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/source/include-binaries
    - New.
  * debian/upstream-signing-key.pgp
    - New.
  * debian/watch
    - (pgpsigurlmangle): Add.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 03 Jan 2014 13:05:44 +0200
