=== debian/changelog ===
dos2unix (7.3.4-3) unstable; urgency=medium

  * debian/control
    - (Multi-Arch): foreign (Closes: #843907). Patch
      thanks to Helmut Grohne <helmut@subdivi.de>.
  * debian/copyright
    - Update URLs.
  * debian/rules
    - Use dh_auto_build(1) instead of make(1) to enable cross building
      (Closes: #843923). Patch thanks to Helmut Grohne
      <helmut@subdivi.de>.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 11 Nov 2016 06:13:44 +0200

dos2unix (7.3.4-2) unstable; urgency=medium

  * debian/control
    - (Build-Depends): Add locales-all. (Closes: #842053)
  * debian/rules
    - (overide_dh_auto_test): Drop adjustment for pbuilder.

 -- tony mancill <tmancill@debian.org>  Tue, 25 Oct 2016 21:36:02 -0700

dos2unix (7.3.4-1) unstable; urgency=medium

  * New upstream release (Closes: 785115).
  * debian/control
    - (Build-Depends): Add po4a.
    - (Homepage): Update URL.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - (Source): Update URLs.
  * debian/rules
    - (overide_dh_auto_test): Add adjustment for pbuilder.
  * debian/sources/options
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 24 Oct 2016 20:51:11 +0300
