=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: text
 Priority: extra
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: dpkg-dev (>= 1.16.2), debhelper (>= 9)
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dos2unix.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/dos2unix.git
-Homepage: http://freshmeat.net/projects/dos2unix
+Uploaders: tony mancill <tmancill@debian.org>
+Build-Depends: dpkg-dev (>= 1.16.2), debhelper (>= 9), po4a, locales-all
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/dos2unix.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dos2unix.git
+Homepage: https://waterlan.home.xs4all.nl/dos2unix.html
 
 Package: dos2unix
 Conflicts: tofrodos (<< 1.7.8.debian.1)
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: convert text file line endings between CRLF and LF
  This package contains utilities dos2unix, unix2dos, mac2unix,
