=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
 DOCROOTDIR      = $(PKGDIR)/usr/share/doc
 PKGDOCDIR       = $(DOCROOTDIR)/$(PACKAGE)
+
+BUILD_DATE   = $(shell dpkg-parsechangelog -S Date)
+PODCENTER    = $(shell date -u +"%Y-%m-%d" --date="$(BUILD_DATE)")
+export PODCENTER
 
 export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
@@ -14,7 +18,8 @@
 include /usr/share/dpkg/buildflags.mk
 
 override_dh_auto_build:
-	$(MAKE) LDFLAGS_USER="$(LDFLAGS)" CFLAGS_USER="$(CPPFLAGS) $(CFLAGS)"
+	env LANG=en_US.UTF-8 \
+	dh_auto_build -- LDFLAGS_USER="$(LDFLAGS)" CFLAGS_USER="$(CPPFLAGS) $(CFLAGS)"
 
 override_dh_clean:
 	dh_clean
