=== test/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-TESTS = ascii.t iso.t utf8.t misc.t
+TESTS = ascii.t iso.t misc.t bom.t
 
 d2u_os=$(shell uname -s)
 UCS = 1
@@ -6,12 +6,12 @@
 # Checking WIN32 version in MSYS shell.
 ifeq ($(findstring MINGW,$(d2u_os)),MINGW)
 TESTS += gb18030.t
-endif
-
+else
 ifneq ($(findstring FreeBSD,$(d2u_os)),FreeBSD)
 # Unix/Linux/Cygwin. Check if zh_CN.gb18030 locale is supported.
 ifeq ($(shell ./chk_loc.sh zh_CN.gb18030),yes)
 TESTS += gb18030.t
+endif
 endif
 endif
 
@@ -23,38 +23,68 @@
 endif
 
 ifeq ($(UCS),1)
-TESTS +=utf16.t
+
+# Check for UTF-8 locale. Try C.UTF-8 and en_US.UTF-8.
+ifeq ($(shell ./chk_loc.sh C.UTF-8),yes)
+TESTS += utf16.t
+export D2U_UTF8_LOCALE = C.UTF-8
+else
+ifeq ($(shell ./chk_loc.sh en_US.UTF-8),yes)
+TESTS += utf16.t
+export D2U_UTF8_LOCALE = en_US.UTF-8
+endif
 endif
 
+# Checking WIN32 version in MSYS shell.
+ifeq ($(findstring MINGW,$(d2u_os)),MINGW)
+TESTS += utf16_gb.t
+else
+ifneq ($(findstring FreeBSD,$(d2u_os)),FreeBSD)
+# Unix/Linux/Cygwin. Check if zh_CN.gb18030 locale is supported.
+ifeq ($(shell ./chk_loc.sh zh_CN.gb18030),yes)
+TESTS += utf16_gb.t
+endif
+endif
+endif
+
+endif
+
+ifndef DJGPP
+PROVE_OPT ?= --nocolor
+endif
 
 all: test
 
 check: test
 
 test:
-	prove -v $(TESTS)
+	prove -v $(PROVE_OPT) $(TESTS)
 
 
 ascii:
-	prove -v $@.t
+	prove -v $(PROVE_OPT) $@.t
 
 iso:
-	prove -v $@.t
+	prove -v $(PROVE_OPT) $@.t
 
 misc:
-	prove -v $@.t
+	prove -v $(PROVE_OPT) $@.t
 
-utf8:
-	prove -v $@.t
+bom:
+	prove -v $(PROVE_OPT) $@.t
 
 utf16:
-	prove -v $@.t
+	@echo "D2U_UTF8_LOCALE=$(D2U_UTF8_LOCALE)"
+	prove -v $(PROVE_OPT) $@.t
 
 gb18030:
-	prove -v $@.t
+	prove -v $(PROVE_OPT) $@.t
+
+utf16_gb:
+	prove -v $(PROVE_OPT) $@.t
 
 symlink:
-	prove -v $@.t
+	prove -v $(PROVE_OPT) $@.t
 
 wcstombs:
 	$(CC) -Wall -Wextra wcstombs_test.c -o wcstombs_test
