=== debian/changelog ===
dos2unix (7.4.0-1) unstable; urgency=medium

  * New upstream version 7.4.0
  * Update Vcs fields for migration from Alioth -> Salsa
  * Migrate upstream-signing-key.pgp -> debian/upstream/signing-key.asc
  * Change Section: from extra -> optional
  * Use debhelper 11
  * Bump Standards-Version to 4.1.4
  * Drop Conflicts with ancient version of tofrodos (older than o-o-stable)
  * Freshen debian/copyright dates

 -- tony mancill <tmancill@debian.org>  Sun, 22 Apr 2018 15:15:35 -0700
