=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: dos2unix
 Section: text
-Priority: extra
+Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Uploaders: tony mancill <tmancill@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.2), debhelper (>= 9), po4a, locales-all
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/dos2unix.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dos2unix.git
+Build-Depends: dpkg-dev (>= 1.16.2), debhelper (>= 11), po4a, locales-all
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/dos2unix
+Vcs-Git: https://salsa.debian.org/debian/dos2unix.git
 Homepage: https://waterlan.home.xs4all.nl/dos2unix.html
 
 Package: dos2unix
-Conflicts: tofrodos (<< 1.7.8.debian.1)
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
