=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
http://www.xs4all.nl/~waterlan/dos2unix.html .*dos2unix-([.\d]+)\.tar\.gz
