=== debian/changelog ===
dos2unix (7.4.1-1) unstable; urgency=medium

  * New upstream version 7.4.1
  * Bump Standards-Version to 4.5.0
  * Use debhelper-compat 13
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Sun, 05 Jul 2020 21:36:35 -0700

dos2unix (7.4.0-2) unstable; urgency=medium

  * Freshen packaging
  * Use https URL for debian/watch
  * Use SOURCE_DATE_EPOCH for POD date
  * Bump Standards-Version to 4.4.0

 -- tony mancill <tmancill@debian.org>  Sat, 13 Jul 2019 20:39:09 -0700
