=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Uploaders: tony mancill <tmancill@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.2), debhelper (>= 11), po4a, locales-all
-Standards-Version: 4.1.4
+Build-Depends: dpkg-dev (>= 1.16.2), debhelper-compat (= 13), po4a, locales-all
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/dos2unix
 Vcs-Git: https://salsa.debian.org/debian/dos2unix.git
 Homepage: https://waterlan.home.xs4all.nl/dos2unix.html
+Rules-Requires-Root: no
 
 Package: dos2unix
 Architecture: any
